
Foreman - Feature #4229

Improve RPM-based distro Upgrade Procedure

01/30/2014 09:55 PM - Stephen Benjamin

Status: New   

Priority: Normal   

Assignee:    

Category: Packaging   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

The upgrade process was very smooth for 1.3.2 -> 1.4.0, but I was thinking it would be nice if it was even easier.

Red Hat Satellite takes the approach of an "rhn-upgrade" package.  So when 1.5 rolls around, for example,

you would publish foreman-upgrade into the 1.4 yum repo.  Upgrade procedure would be something like:

1. yum install foreman-upgrade

2. foreman-upgrade

Which would switch to the 1.5 repo, run any rake tasks, and restart passenger.

Thoughts?

History

#1 - 02/03/2014 03:09 PM - Dominic Cleal

- Category set to Packaging

Yeah, Katello did something similar too.

#2 - 02/10/2014 08:38 PM - Lukas Zapletal

Word. I think running db migrations from yum transactions is nasty.

Katello has a very nice upgrade script (I wrote :-) which could be adopted.
